Pregunta sobre NextCellent Gallery - NextGEN Legacy de Wordpress:

SiguienteCellent y Gutenberg

Un usuario preguntΓ³ πŸ‘‡

ΒΏNextCellent proporcionarΓ‘ compatibilidad con una versiΓ³n central de Gutenberg? La mayorΓ­a de mis sitios web se basan en NextCellent. La falta de soporte para Gutenberg me obligarΓ‘ a modificar estos sitios web drΓ‘sticamente. Espero que no sea necesario.

Franco

Este tema fue modificado hace 2 aΓ±os, 4 meses por.

(@ispreview)

Hace 2 aΓ±os, 4 meses

PlanteΓ© este problema hace unos 7 meses, junto con las preocupaciones sobre los errores de PHP 7.2 y otros informaron varios errores que deben corregirse.

Desafortunadamente, los autores se han quedado completamente en silencio desde la ΓΊltima actualizaciΓ³n hace aproximadamente un aΓ±o. AsΓ­ que estoy haciendo planes para volver a la GalerΓ­a NextGen, lo cual no quiero hacer, pero ΒΏquΓ© opciΓ³n tengo si no tenemos ningΓΊn tipo de apoyo?

O creo que NextCellent seguirΓ‘ funcionando con el plugin WP Classic Editor (probΓ© esto en la versiΓ³n beta hace un tiempo) pero eso no es bueno si planeas usar Gutenberg como el enfoque estΓ‘ndar ahora.

(@wpready)

Hace 2 aΓ±os, 4 meses

Hola, problemas resueltos con PHP 7.2 en versiones anteriores como 1.9.32

Espero que Frank se estΓ© refiriendo a eso https://plugincompat.danielbachhuber.com/
algo que no sabΓ­a. EcharΓ© un vistazo.

(@ispreview)

Hace 2 aΓ±os, 4 meses

La prueba rΓ‘pida PHP7.2 de NextCellent destaca algunos problemas potenciales para el futuro. Algunos pueden ignorarse, pero la mayorΓ­a puede requerir algunos ajustes de cΓ³digo.

ARCHIVO: /*******/wp-content/plugins/nextcellent-gallery-nextgen-legacy/admin/class-ngg-album-manager.php β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€” β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€” SE ENCONTRARON 0 ERRORES Y 1 ADVERTENCIA SE RELACIONA CON 1 LÍNEA β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€” β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€” 101 | ADVERTENCIA Falta el parΓ‘metro Β«resultadoΒ» de la funciΓ³n parse_str (). Ya no es opcional ejecutar este parΓ‘metro. El tipo opcional de parΓ‘metros no se deprecia desde PHP 7.2 β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€” β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”

ARCHIVO: /*******/wp-content/plugins/nextcellent-gallery-nextgen-legacy/admin/functions.php β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€” β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€” SE ENCONTRARON 0 ERRORES Y 1 1 LÍNEA DE ADVERTENCIA β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€” – – β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€” 1245 | ADVERTENCIA La directiva INI ‘safe_mode_gid’ no se deprecia de PHP 5.3 y se ha eliminado de PHP 5.4 β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€” – β€”β€”

ARCHIVO: /*******/wp-content/plugins/nextcellent-gallery-nextgen-legacy/lib/imagemagick.inc.php β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€” – β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€” SE ENCONTRARON 0 ERRORES Y 1 1 LÍNEA DE ADVERTENCIA β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€” β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€” 103 | ADVERTENCIA El uso del constructor de clases de estilo PHP4 no es compatible con la depreciaciΓ³n de PHP 7. β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”

ARCHIVO: /*******/wp-content/plugins/nextcellent-gallery-nextgen-legacy/lib/meta.php β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€” – β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€” SE ENCONTRARON 0 ERRORES Y 4 ADVERTENCIAS QUE AFECTAN A 4 LÍNEAS β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€” β€”β€”β€”β€”β€”β€”β€” 99 | ADVERTENCIA La funciΓ³n Create_function () no se informa desde PHP 7.2; Utilice una funciΓ³n anΓ³nima en su lugar ADVERTENCIA La funciΓ³n Create_function () no se informa desde PHP 7.2; Utilice una funciΓ³n anΓ³nima en su lugar ADVERTENCIA La funciΓ³n Create_function () no se informa desde PHP 7.2; Utilice una funciΓ³n anΓ³nima en su lugar ADVERTENCIA La funciΓ³n Create_function () no se informa desde PHP 7.2; Utilice una funciΓ³n anΓ³nima en su lugar β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”

ARCHIVO: /*******/wp-content/plugins/nextcellent-gallery-nextgen-legacy/lib/ngg-db.php β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€” – β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€” SE ENCONTRARON 0 ERRORES Y 3 ADVERTENCIAS RELACIONADOS CON 3 REDES β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€” – β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€” 910 | ADVERTENCIA La funciΓ³n Create_function () no se informa desde PHP 7.2; Utilice una funciΓ³n anΓ³nima en su lugar ADVERTENCIA La funciΓ³n Create_function () no se informa desde PHP 7.2; Utilice una funciΓ³n anΓ³nima en su lugar ADVERTENCIA La funciΓ³n Create_function () no se informa desde PHP 7.2; Utilice la funciΓ³n anΓ³nima en su lugar β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”

ARCHIVO: /*******/wp-content/plugins/nextcellent-gallery-nextgen-legacy/lib/swfobject.php β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€” β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€” SE ENCONTRARON 0 ERRORES Y 1 1 LÍNEA DE ADVERTENCIA β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€” β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”- 85 | ADVERTENCIA El uso de un constructor de clases de estilo PHP4 despectivo no es compatible con PHP 7. β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”

ARCHIVO: /*******/wp-content/plugins/nextcellent-gallery-nextgen-legacy/widgets/class-ngg-gallery-widget.php β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€” β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€” SE ENCONTRARON 0 ERRORES Y 1 1 LÍNEA DE ADVERTENCIA β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€” β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€” 252 | ADVERTENCIA La funciΓ³n Create_function () no se informa desde PHP 7.2; Utilice la funciΓ³n anΓ³nima en su lugar β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”

ARCHIVO: /*******/wp-content/plugins/nextcellent-gallery-nextgen-legacy/widgets/class-ngg-media-rss-widget.php β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€” – β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€” SE ENCONTRARON 0 ERRORES Y 1 1 LÍNEA DE ADVERTENCIA β€”β€”β€”β€”β€”β€”β€”β€”β€” – β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€” 133 | ADVERTENCIA La funciΓ³n Create_function () no se informa desde PHP 7.2; Utilice la funciΓ³n anΓ³nima en su lugar β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”

ARCHIVO: /*******/wp-content/plugins/nextcellent-gallery-nextgen-legacy/widgets/class-ngg-slideshow-widget.php β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€” β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€” SE ENCONTRARON 0 ERRORES Y 1 1 LÍNEA DE ADVERTENCIA β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€” – – β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€” | ADVERTENCIA La funciΓ³n Create_function () no se informa desde PHP 7.2; En su lugar, utilice una funciΓ³n anΓ³nima β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”

ARCHIVO: /*******/wp-content/plugins/nextcellent-gallery-nextgen-legacy/nggallery.php β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€” β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€” SE ENCONTRARON 0 ERRORES Y 12 ADVERTENCIAS QUE AFECTAN A 12 LÍNEAS β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€” β€”β€”β€”β€”β€” 147 | ADVERTENCIA La funciΓ³n Create_function () no se informa desde PHP 7.2; Utilice una funciΓ³n anΓ³nima en su lugar ADVERTENCIA La funciΓ³n Create_function () no se informa desde PHP 7.2; Utilice una funciΓ³n anΓ³nima en su lugar ADVERTENCIA La funciΓ³n Create_function () no se informa desde PHP 7.2; Utilice una funciΓ³n anΓ³nima en su lugar ADVERTENCIA La funciΓ³n Create_function () no se informa desde PHP 7.2; Utilice una funciΓ³n anΓ³nima en su lugar ADVERTENCIA La directiva INI ‘safe_mode’ no se informa desde PHP 5.3 y se ha eliminado de PHP 5.4 330 | ADVERTENCIA La directiva INI ‘safe_mode’ no se informa de PHP 5.3 y se ha eliminado de PHP 5.4 331 | ADVERTENCIA La directiva INI ‘safe_mode’ no se informa de PHP 5.3 y se ha eliminado de PHP 5.4 333 | ADVERTENCIA La directiva INI ‘safe_mode’ no se informa desde PHP 5.3 y se ha eliminado de PHP 5.4 710 | ADVERTENCIA La funciΓ³n Create_function () no se informa desde PHP 7.2; Utilice una funciΓ³n anΓ³nima en su lugar ADVERTENCIA La funciΓ³n Create_function () no se informa desde PHP 7.2; Utilice una funciΓ³n anΓ³nima en su lugar ADVERTENCIA La funciΓ³n Create_function () no se informa desde PHP 7.2; Utilice una funciΓ³n anΓ³nima en su lugar ADVERTENCIA La funciΓ³n Create_function () no se informa desde PHP 7.2; En su lugar, utilice una funciΓ³n anΓ³nima β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”β€”

(@wpready)

Hace 2 aΓ±os, 4 meses

Gracias ispreview por dar estas preguntas. ΒΏQuΓ© herramientas usas para verificar esto? Gracias de nuevo.

(@ispreview)

Hace 2 aΓ±os, 4 meses

A travΓ©s del plugin de verificaciΓ³n de compatibilidad de PHP con WP Engine.

(@wpready)

Hace 2 aΓ±os, 4 meses

Gracias. EstarΓ© revisando una nueva versiΓ³n para solucionar esos problemas y tambiΓ©n la compatibilidad con Guten Berg. Gracias por tu ayuda.

(@sΓ³rdido)

Hace 2 aΓ±os, 3 meses

Β‘Me alegro de oirlo!

ΒΏSolucionΓ³ tu problema??

0 / 0

Deja una respuesta 0

Tu direcciΓ³n de correo electrΓ³nico no serΓ‘ publicada. Los campos obligatorios estΓ‘n marcados con *